Skip to main content

Create Resident Pet: Yardi

POSThttps://api.propexo.com/v1/resident-pets/yardi/

Create a resident pet in Yardi.

InterfaceMethod
Common DataUpdateResidentData
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    typestringrequired

    The type associated with the resident pet

    Possible values: <= 40 characters

    age_in_yearsinteger

    The age in years of the resident pet

    Possible values: >= 0

    breedstring

    The breed of the resident pet

    Possible values: <= 1000 characters

    colorstring

    The color of the resident pet

    Possible values: <= 40 characters

    gender_rawstring

    The raw value for the gender of the resident pet

    Possible values: <= 40 characters

    is_fixedboolean

    Whether the resident pet is fixed

    is_service_animalboolean

    Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.

    namestring

    The name associated with the resident pet

    Possible values: <= 40 characters

    weight_in_poundsinteger

    The weight in pounds of the resident pet

    Possible values: >= 0

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    typestringrequired

    The type associated with the resident pet

    Possible values: <= 40 characters

    age_in_yearsinteger | nullnullablerequired

    The age in years of the resident pet

    Possible values: >= 0

    breedstring | nullnullablerequired

    The breed of the resident pet

    Possible values: <= 1000 characters

    colorstring | nullnullablerequired

    The color of the resident pet

    Possible values: <= 40 characters

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the resident pet

    Possible values: <= 40 characters

    is_fixedboolean | nullnullablerequired

    Whether the resident pet is fixed

    is_service_animalboolean | nullnullablerequired

    Whether the resident pet is a service animal. This field requires your customer uses Plug-in 17+ in Yardi Voyager.

    namestring | nullnullablerequired

    The name associated with the resident pet

    Possible values: <= 40 characters

    weight_in_poundsinteger | nullnullablerequired

    The weight in pounds of the resident pet

    Possible values: >= 0

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-pets/yardi/
curl -X POST https://api.propexo.com/v1/resident-pets/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"type": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"type": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"weight_in_pounds": 0
}
}